Returns the port on which this server is listening

- « MongoDB\Driver\Monitoring\ServerOpeningEvent::getHost

- MongoDB\Driver\Monitoring\ServerOpeningEvent::getTopologyId »

- PHP Manual
- MongoDB\Driver\Monitoring\ServerOpeningEvent
- Returns the port on which this server is listening

# MongoDB\Driver\Monitoring\ServerOpeningEvent::getPort

(mongodb >=1.13.0)

MongoDB\Driver\Monitoring\ServerOpeningEvent::getPort — Returns the port on which this server is listening

### Description

final public MongoDB\Driver\Monitoring\ServerOpeningEvent::getPort(): int

### Parameters

This function has no parameters.

### Return Values

Returns the port on which this server is listening.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.